## org.hibernate.proxy.pojo.cglib
Class SerializableProxy

    java.lang.Object
      org.hibernate.proxy.AbstractSerializableProxy
          org.hibernate.proxy.pojo.cglib.SerializableProxy

All Implemented Interfaces:
  Serializable

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated.

    @Deprecated
    public final class SerializableProxy

extends AbstractSerializableProxy

Serializable placeholder for `CGLIB` proxies

See Also:
  Serialized Form

Constructor Summary
`SerializableProxy()` Deprecated.
`SerializableProxy(String entityName, Class persistentClass, Class[] interfaces, Serializable id, Boolean readOnly, Method getIdentifierMethod, Method setIdentifierMethod, CompositeType componentIdType)` Deprecated.

Method Summary

Methods inherited from class org.hibernate.proxy.AbstractSerializableProxy
`getEntityName, getId, setReadOnlyBeforeAttachedToSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableProxy

    public SerializableProxy()

  Deprecated.

### SerializableProxy

    public SerializableProxy(String entityName,
                             Class persistentClass,
                             Class[] interfaces,
                             Serializable id,
                             Boolean readOnly,
                             Method getIdentifierMethod,
                             Method setIdentifierMethod,
                             CompositeType componentIdType)

  Deprecated.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.